[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# WriteLRSWord

Writes a Word value to the specified resource stream.

## Declaration

Source position: lresources.pp line 580

`procedure WriteLRSWord(`
`s: TStream;`
`const w: Word`
`);`

## Arguments

`s` |  | TStream instance where the value is written.
`w` |  | Word value written in the routine.

## Description

For platforms where FPC_LITTLE_ENDIAN is defined, the Write method in the Stream is called write the bytes in the word value. For Big Endian platforms, the WriteLRSReversedWord routine is called to write the byte values to the stream.

## See also

WriteLRSReversedWord |  |